Bug 432907 - rpm gives "failed to stat" errors if sshfs/fuse filesystems are mounted
rpm gives "failed to stat" errors if sshfs/fuse filesystems are mounted
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-02-14 20:42 EST by Danny Yee
Modified: 2008-11-26 12:37 EST (History)
3 users (show)

See Also:
Fixed In Version: F8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-26 12:37:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Yee 2008-02-14 20:42:49 EST
Description of problem:

Installs with rpm give errors when sshfs (fuse) filesystems are mounted.

error: failed to stat /home/danny/mountpoint: Permission denied

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mount any sshfs filesystem (not as root)
2. install a package with rpm
  
Actual results:

Install appears to work fine, but an error message
error: failed to stat /home/danny/mountpoint: Permission denied
is printed.



Expected results:


Additional info:
Comment 1 Panu Matilainen 2008-02-18 01:10:05 EST
Easily reproduced. This was supposed to have been already fixed, just another
slight variant of the same... Fixed upstream, will be in 4.4.2.3.
Comment 2 Bug Zapper 2008-11-26 04:49:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jon Stanley 2008-11-26 12:37:19 EST
As this bug is in MODIFIED, Fedora believes that a fix has been committed that resolves the problem listed in this bug report.

If this is not the case, please re-open this report, noting the version of the package that you reproduced the bug against.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.